import 'package:flutter/material.dart';
import 'package:flutter_intro/step_widget_params.dart';

class IntroStep {
  /// 需要新增引导的 Widget 的 GlobalKey
  final GlobalKey key;

  /// 生成引导页的方法
  /// 方法参数包含进入下一个 step 的方法 onNext（如果没有下一页，则 onNext 为 null）
  /// 包含返回上一个 step 的方法 onPrev（如果没有上一页，则 onPrev 为 null）
  final Widget Function(StepWidgetParams params) widgetBuilder;

  IntroStep({
    @required this.key,
    @required this.widgetBuilder,
  })  : assert(key != null),
        assert(widgetBuilder != null);
}
